Bug 37953 - Installer reports 'exception occured' 60% of the way through upgrade
Installer reports 'exception occured' 60% of the way through upgrade
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-26 22:27 EDT by Bill Brooks
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 17:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Brooks 2001-04-26 22:27:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 (Macintosh; U; PPC)


The 'anaconda' installer sucks! Consistently, about 60% of the way through 
an upgrade from 6.2, in 'text' mode, I get the following message:

    
   An internal error occured in the installation program.
   Please report this error to Red Hat (through the bugzilla
   .redhat.com web site) as soon as possible. The information
  on this failure may be saved to a floppy disk, and will
  help Red Hat in fixing the problem.

  Traceback (innermost last):
    File "/usr/bin/anaconda", line 528, in ?
      intf.run(todo, test = test)
    File
  "/var/tmp/anaconda-7.1/usr/lib/anaconda/text.py",
   line 1126, in run



...of course, I can't save this to a floppy disk, the machine is a server 
with no floppy drive attached. I love the buttons at the bottom: "OK", 
"Save" and "Debug". An installer that crashes is not okay! Where is the 
"This sucks!" button?


Reproducible: Always
Steps to Reproduce:
1.go into text mode
2.choose 'upgrade current installation'
3.select 'no' to avoid customizing the package installation over and above 
the already installed packages
4. installer crashes 60% of the way through. 	
	

Actual Results:  I get the following 'exception occured' message:

    
   An internal error occured in the installation program.
   Please report this error to Red Hat (through the bugzilla
   .redhat.com web site) as soon as possible. The information
  on this failure may be saved to a floppy disk, and will
  help Red Hat in fixing the problem.

  Traceback (innermost last):
    File "/usr/bin/anaconda", line 528, in ?
      intf.run(todo, test = test)
    File
  "/var/tmp/anaconda-7.1/usr/lib/anaconda/text.py",
   line 1126, in run


Expected Results:  I should have successfully finished the bloody 
installation! I am a paying customer!
Comment 1 Brent Fox 2001-04-27 09:02:27 EDT
Can you press <Ctrl><Alt><F3> and <Ctrl><Alt><F3>
 and see if there are any error messages on these screens?  They might give us
some idea of what went wrong.
Comment 2 Brent Fox 2001-04-27 14:07:23 EDT
Also, the traceback that you sent in doesn't look like the entire thing.  Was
there more to it?
Comment 3 Brent Fox 2001-05-07 17:35:33 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.